
<script>
  $(function($){
    $("#selectCategory").select2({
      theme: "bootstrap",
      placeholder: "Select category"
    });
  });

  $(function($){
    $("#selectDirector").select2({
      theme: "bootstrap",
      placeholder: "Select director"
    });
  });

$(function($) { 
  $("#selectActors").select2({
    theme: "bootstrap",
    placeholder: "Select actors and actresses",
    tags: true
  });
});

</script>

<%= simple_form_for @movie, html: { multipart: true } do |f| %>

  <% if @movie.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@movie.errors.count, "error") %> prohibited this movie from being saved:</h2>
      <ul>
      <% @movie.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="form-inputs">

    <div class="field">
      <%= f.label :category_id, label: 'Category', required: true %>
        <%= f.select(:category_id, Category.all.collect{|c| [c.name, c.id]},{}, {:required => true, :multiple => false, :id =>"selectCategory", :style => "width: 100%", data: "live-search"} ) %>
    </div>
    <p></p>
    <%= f.input :title, required: true, label: 'Title', error: 'Title of movie must be set.' %>
    <%= f.input :year, label: 'Year', error: 'Year of movie must be set.' %>
    <%= f.input :lengthMinutes, label: 'Length (min)', error: 'Length of movie must be set.' %>
    
    <div class="field">
    <%= f.label :director_id, label: 'Director', required: true %>
    <%= f.select(:director_id, Director.all.collect{|d| [d.name + " " + d.surname + " " + d.birth.strftime("%d.%m.%Y"), d.id]},{}, {:required => true, :multiple => false, :id =>"selectDirector", :style => "width: 100%", :data => {:placeholder => 'Choose director'}, data: "live-search"} ) %>
    </div>
    <p></p>

    <div class="field">
      <%= f.label :actors, label: 'Actors / Actresses', required: true %>
      <%= f.select(:actors, options_for_select(Actor.all.collect{|a| [a.name + " " + a.surname + " " + a.birth.strftime("%d.%m.%Y"), a.id]}, :selected => @movie.actor_ids), {}, {:required => true, :multiple => true, :id =>"selectActors", :style => "width: 100%", data: "live-search"} ) %>
    </div>

    <%= f.input :description, label: 'Description', error: 'Description must be set', message: 'Description must be set' %>
    <%= f.input :image, label: 'Image', error: 'Image must be set' %>
    <p></p>


  <div class="form-actions">
    <%= f.button :submit, "Submit", class: "btn btn-danger" %>
  </div>

<% end %>